Module java.base
Package java.util.concurrent

# Interface Flow.Processor<T,R>

Type Parameters:
  `T` - the subscribed item type
  `R` - the published item type

All Superinterfaces:
  `Flow.Publisher<R>`, `Flow.Subscriber<T>`

Enclosing class:
  `Flow`

public static interface Flow.Processor<T,R> extends Flow.Subscriber<T>, Flow.Publisher<R>
A component that acts as both a Subscriber and Publisher.

## Method Summary

### Methods declared in interface java.util.concurrent.Flow.Publisher

`subscribe`

### Methods declared in interface java.util.concurrent.Flow.Subscriber

`onComplete, onError, onNext, onSubscribe`